Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Netatalk 2.0.5 and opensuse 11.2

  1. #1

    Default Netatalk 2.0.5 and opensuse 11.2

    Is there someone who knows how to create a RPM from netatalk 2.0.5. Or better has a URL to a RPM? I aske this because so fare I know there are no RPM's for opensuse 11.2 (or suse).

    I want to use this RPM in the susestudio this is because the version in the repositories don't work with snow leopard.

    Thankyou,

    Ivo Trompert

  2. #2
    Join Date
    Jan 2010
    Location
    Ploce, Croatia
    Posts
    12

    Post Re: Netatalk 2.0.5 and opensuse 11.2

    There is good tutorial on how to build openSuSE rpm's
    On this link
    But why bother with RPM when you can just build it from source and it's easier as well. You can find great instructions on Netatalk's web page.
    Tony.
    associate - server carrier

  3. #3

    Default Re: Netatalk 2.0.5 and opensuse 11.2

    I've taken the 2.0.3 src RPM from the factory and updated it to version 2.0.5, adding support for CUPS, the KRB5 and DHX2 UAMs, a PAM config using the common-auth settings, and a config file for avahi if installed. At the very least they compile on my 11.2 box. If anyone's willing to put them up somewhere, I'll send the src and x86_64 binaries.

  4. #4

    Default Re: Netatalk 2.0.5 and opensuse 11.2

    I can't put them online, but can I have the sorce and the binarie package please? I have send my email in a private message.

    Thank you,

    Ivo Trompert

  5. #5

    Default Re: Netatalk 2.0.5 and opensuse 11.2

    I sent an email with the RPMS attached about four hours before your post... did it not arrive?

  6. #6

    Default Re: Netatalk 2.0.5 and opensuse 11.2

    Thank you for the packages!

  7. #7

    Default Re: Netatalk 2.0.5 and opensuse 11.2

    I would love to get a copy of the packages, do you have them hosted somewhere like rapidshare.com?

  8. #8

    Default Re: Netatalk 2.0.5 and opensuse 11.2

    Here is a link to a zip file containing:

    netatalk-2.0.5-sk1.src.rpm (source package)
    netatalk-devel-2.0.5-sk1.x86_64.rpm (development package)
    netatalk-2.0.5-sk1.x86_64.rpm (binary package)

    Note: The development package conflicts with binary package. So you must install only one of them.

    I have installed the package and it works perfectly.

    Click here fore the file!

    Ivo Trompert

  9. #9

    Default Re: Netatalk 2.0.5 and opensuse 11.2

    Thanks, I will give them a try tonight.

  10. #10

    Default Re: Netatalk 2.0.5 and opensuse 11.2

    Assuming that the netatalk rpms that Ivo was kind enough to post to rapidshare are the ones I made (-sk1), here are my additions to the changelog. Please note the warning in the first line item. I put the RPMS together to be helpful, but if they make you lose data, job and spouse, you'll have only my regrets (depending how attached you were to the above). And I may not have time to fix any problems. If you try them anyway, please post how it goes so that others looking for a recent version of netatalk know whether to try them or stay far away.

    Thanks,
    Shanti
    Code:
    * Fri Jan 29 2010 sk-public(and the domain name is)revenant.org
    - BEWARE! Packager does not know what he is doing. Use at own risk!
    - update netatalk to 2.0.5
    - remove libspooldir and add enable-cups configuration options
    - add krbV and DHX2 UAMs
    - add libgcrypt to requirements (for DHX2 uam)
    - add cnid_metad to start/stop script
    - add bash script to create afpd.service if Avahi service directory exists

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •